import json
import requests
from api_auth import APICredentials, APIParams

class GetLatestStatsMultipleLiveStreams:
    def __init__(self):
        self.host = "https://services.uplynk.com"

    def run(self):
        """
        Get the latest statistics for multiple live streams.
        """
        self._get_latest_stats_multiple_live_streams()

    def _get_latest_stats_multiple_live_streams(self):
        url = "{}{}".format(self.host, "/api/v4/monitoring/stream_stats")

        stream_ids = ['114n9q6a847ieldd8bb8dbf67afef96b', 'k30y636fa2f143eb95c7a41d96d581c4', 'n2fj4f8knf83nf81347fh12347fhjwse']

        headers = {'Content-Type': 'application/json'}

        response = requests.post(
            url, params=APIParams(APICredentials()).get_params({}), json={"stream_ids": json.dumps(stream_ids)}, headers=headers 
        )

        print(response.json())

GetLatestStatsMultipleLiveStreams().run()